<template>
    <div class="line">
        <slot></slot>
        <div :style="{ width: width, height: '1.6rem' }" class="position-relative font-weight-normal">
            <svg v-if="arrowLeft"
                 :class="{'stroke-default': !strokeColor, 'arrow-default' : !arrowColor}"
                 :fill="arrowColor ? arrowColor : null"
                 :stroke="strokeColor ? strokeColor : null"
                 class="position-absolute"
                 stroke-width="1"
                 style="height: 1.6rem; width: 1.6rem;top: 50%; left: 50%; transform: translate(-50%, -50%)"
                 xmlns="http://www.w3.org/2000/svg"
            >
                <path d="M0 7 L12 0 L12 15 Z"/>
            </svg>
            <svg v-if="arrowRight"
                 :class="{'stroke-default': !strokeColor, 'arrow-default' : !arrowColor}"
                 :fill="arrowColor ? arrowColor : null"
                 :stroke="strokeColor ? strokeColor : null"
                 class="position-absolute"
                 stroke-width="1"
                 style="height: 1.6rem; width: 1.6rem;top: 50%; left: 50%; transform: translate(-50%, -50%)"
                 xmlns="http://www.w3.org/2000/svg">
                <path d="M12 7 L0 0 L0 15 Z"/>
            </svg>
            <svg height="100%" width="100%" xmlns="http://www.w3.org/2000/svg">
                <rect :class="{'rect-default' : !lineColor}"
                      :fill="lineColor ? lineColor : null"
                      :width="parseFloat(width) * 10" height="3"
                      x="0"
                      y="3">
                </rect>
            </svg>
        </div>
    </div>
</template>

<script>
export default {
    name: 'horizontal-line-component',
    props: {
        width: {
            type: [Number, String],
            default: '3rem'
        },
        arrowRight: {
            type: Boolean,
            default: false
        },
        arrowLeft: {
            type: Boolean,
            default: false
        },
        arrowColor: {
            type: String,
        },
        lineColor: {
            type: String,
        },
        strokeColor: {
            type: String
        }
    },
    data: () => {
        return {}
    },
    computed: {}
}
</script>
